HDMI output freezes under current/proposed impish kernels

Bug #1946368 reported by Dave Jones
150
This bug affects 24 people
Affects Status Importance Assigned to Milestone
linux-raspi (Ubuntu)
Fix Released
Critical
Unassigned
Impish
Fix Released
Critical
Unassigned

Bug Description

[Impact]

The UI of Impish desktop for raspi occasionally freezes which can be triggered by playing videos and moving windows around. Seems to happen more frequently when using higher resolutions and/or higher refresh rates (higher than 1920x1080@60Hz).

Kernel errors are along the lines of:
[ 513.762138] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 513.762288] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] co
mmit wait timed out
[ 513.762381] [drm:drm_atomic_helper_wait_for_flip_done [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] flip_
done timed out

[Test Case]

Install current Impish desktop for raspi on a Pi 4. Use a high-refresh/resolution monitor. Play videos, move windows around.

[Fix]

The Pi foundation identified a couple of upstream vc4 commits that seem to interfere with their downstream patches. Revert those to match the Pi foundations currently released 5.10 kernel.

[Where Problems Could Occur]

The changes are confined to the vc4 driver, so problems would only show up if that driver is in use. Which is only the case for the Ubuntu raspi desktop image, so server images should not be impacted at all.

[Original Description]

Under the current (5.13.0-1007.8) or proposed (5.13.0-1008.9) kernels for the Ubuntu Pi pre-installed desktop impish release, the HDMI output occasionally freezes. A known workaround at this time is to change the following line in /boot/firmware/config.txt:

dtoverlay=vc4-kms-v3d

To the following:

dtoverlay=vc4-fkms-v3d

In other words, to use the "fake" KMS overlay (fkms) instead of the "full" KMS overlay (kms).

I've been unable to determine a reliable method of guaranteeing a freeze, but it appears to occur much more readily when video playback is occurring, and when other interactions (especially moving windows around, minimizing, restoring) occurs simultaneously. Display suspend also periodically causes the same hang, which made me suspect this might be related to #1944397 but it appears that had a separate cause (now resolved).

The following dmesg outputs have been observed immediately after the display hang; this one from 1007.8:

[ 513.762138] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 513.762288] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] co
mmit wait timed out
[ 513.762381] [drm:drm_atomic_helper_wait_for_flip_done [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] flip_
done timed out
[ 524.002211] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 524.002404] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [PLANE:205:plane-25
] commit wait timed out
[ 534.242499] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 534.242657] vc4-drm gpu: [drm] *ERROR* Timed out waiting for commit
[ 534.250685] ------------[ cut here ]------------
[ 534.250701] refcount_t: underflow; use-after-free.
[ 534.250735] WARNING: CPU: 1 PID: 120 at lib/refcount.c:87 refcount_dec_not_one+0xa0/0xbc
[ 534.250758] Modules linked in: rfcomm cmac algif_hash algif_skcipher af_alg hci_uart btqca btrtl btbcm
 btintel bnep snd_soc_hdmi_codec vc4 btsdio snd_soc_core input_leds bluetooth snd_compress snd_bcm2835(C)
 snd_pcm_dmaengine ecdh_generic ecc snd_pcm brcmfmac snd_seq_midi snd_seq_midi_event bcm2835_codec(C) bcm
2835_isp(C) bcm2835_v4l2(C) brcmutil snd_rawmidi v4l2_mem2mem bcm2835_mmal_vchiq(C) videobuf2_dma_contig
videobuf2_vmalloc cfg80211 videobuf2_memops videobuf2_v4l2 snd_seq videobuf2_common videodev snd_seq_devi
ce mc snd_timer vc_sm_cma(C) raspberrypi_hwmon snd bcm2835_gpiomem rpivid_mem uio_pdrv_genirq uio sch_fq_
codel ip_tables x_tables autofs4 btrfs blake2b_generic xor xor_neon zstd_compress hid_generic usbhid raid
6_pq libcrc32c dm_mirror dm_region_hash dm_log spidev dwc2 v3d roles udc_core gpu_sched crct10dif_ce i2c_
brcmstb i2c_bcm2835 spi_bcm2835 drm_kms_helper syscopyarea xhci_pci xhci_pci_renesas sysfillrect sysimgbl
t fb_sys_fops cec drm phy_generic ac97_bus aes_arm64
[ 534.251066] CPU: 1 PID: 120 Comm: kworker/1:2 Tainted: G WC 5.13.0-1007-raspi #8-Ubuntu
[ 534.251076] Hardware name: Raspberry Pi 400 Rev 1.1 (DT)
[ 534.251083] Workqueue: events drm_mode_rmfb_work_fn [drm]
[ 534.251239] pstate: 60400005 (nZCv daif +PAN -UAO -TCO BTYPE=--)
[ 534.251248] pc : refcount_dec_not_one+0xa0/0xbc
[ 534.251257] lr : refcount_dec_not_one+0xa0/0xbc
[ 534.251265] sp : ffff8000118cbb50
[ 534.251269] x29: ffff8000118cbb50 x28: ffff6cf7ee894400 x27: ffff6cf80502e000
[ 534.251285] x26: ffff6cf80502e000 x25: 0000000000000006 x24: ffff6cf7ee94c500
[ 534.251300] x23: ffffa94dff246018 x22: ffff6cf833068880 x21: ffff6cf805027c80
[ 534.251314] x20: ffff6cf88ead75ac x19: ffff6cf88ead7400 x18: 0000000000000000
[ 534.251328] x17: 0000000000000000 x16: ffffa94e0a243314 x15: 0000000000000000
[ 534.251342] x14: 0000000000000000 x13: 0000000000000030 x12: ffff800010035000
[ 534.251356] x11: ffffa94e0b30dfd0 x10: 00000000fffff000 x9 : ffffa94e09d09f54
[ 534.251370] x8 : 00000000ffffefff x7 : ffffa94e0b30dfd0 x6 : 0000000000000000
[ 534.251384] x5 : ffff6cf8b799f948 x4 : 0000000000000000 x3 : 0000000000000027
[ 534.251397] x2 : 0000000000000000 x1 : 0000000000000000 x0 : ffff6cf800abec80
[ 534.251411] Call trace:
[ 534.251416] refcount_dec_not_one+0xa0/0xbc
[ 534.251424] vc4_bo_dec_usecnt+0x2c/0x120 [vc4]
[ 534.251473] vc4_cleanup_fb+0x3c/0x4c [vc4]
[ 534.251518] drm_atomic_helper_cleanup_planes+0x74/0xa0 [drm_kms_helper]
[ 534.251604] vc4_atomic_commit_tail+0x24c/0x36c [vc4]
[ 534.251648] commit_tail+0xac/0x190 [drm_kms_helper]
[ 534.251723] drm_atomic_helper_commit+0x168/0x380 [drm_kms_helper]
[ 534.251796] drm_atomic_commit+0x58/0x70 [drm]
[ 534.251936] atomic_remove_fb+0x2a8/0x2f4 [drm]
[ 534.252073] drm_framebuffer_remove+0x164/0x18c [drm]
[ 534.252209] drm_mode_rmfb_work_fn+0x50/0x70 [drm]
[ 534.252346] process_one_work+0x200/0x4d0
[ 534.252359] worker_thread+0x2c8/0x470
[ 534.252367] kthread+0x12c/0x140
[ 534.252374] ret_from_fork+0x10/0x3c
[ 534.252386] ---[ end trace a97341262fc57e44 ]---

And a similar one from 1008.9 (note that most of the time, the stack trace *doesn't* appear hence I'm not sure if it's related to the display freeze itself, or something auxiliary):

[ 221.914617] [drm:drm_atomic_helper_wait_for_flip_done [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] flip_done timed out
[ 221.914617] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 221.914795] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] commit wait timed out
[ 232.154711] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 232.154898] vc4-drm gpu: [drm] *ERROR* Timed out waiting for commit

I can produce this same stack trace, but *without* a corresponding freeze by manually locking the desktop (Super+L) and waiting for the display fade. However, after the stack trace appears, one can press a key to bring the display back and login again happily. Here are several repeated traces from such activity under the 1008.9 proposed kernel:

[ 1043.431061] [drm:drm_atomic_helper_wait_for_flip_done [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] flip_done timed out
[ 1043.431136] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 1043.431384] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] commit wait timed out
[ 1053.671415] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 1053.671705] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [PLANE:70:plane-3] commit wait timed out
[ 1063.911800] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 1063.912147] vc4-drm gpu: [drm] *ERROR* Timed out waiting for commit
[ 1181.162739] [drm:drm_atomic_helper_wait_for_flip_done [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] flip_done timed out
[ 1181.418774] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 1181.419072] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] commit wait timed out
[ 1191.658996] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 1191.659289] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [PLANE:70:plane-3] commit wait timed out
[ 1201.899168] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 1201.899438] vc4-drm gpu: [drm] *ERROR* Timed out waiting for commit
[ 1332.461450] [drm:drm_atomic_helper_wait_for_flip_done [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] flip_done timed out
[ 1332.461460] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 1332.461717] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] commit wait timed out
[ 1342.701602] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 1342.701890] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [PLANE:70:plane-3] commit wait timed out
[ 1352.941798] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 1352.942067] vc4-drm gpu: [drm] *ERROR* Timed out waiting for commit

Note that even when the display is frozen (and cannot be resurrected), only the display driver appears to crash; the system remains operational (at least for some time) happily responding to SSH login requests or, if video is playing, continuing audio output.

The same occurs with the current linux-firmware-raspi2 release (which the above stack traces were taken from), or with the latest firmware (installed from an experimental package in my https://launchpad.net/~waveform/+archive/ubuntu/firmware PPA).

CVE References

Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-raspi (Ubuntu):
status: New → Confirmed
Revision history for this message
Daniel van Vugt (vanvugt) wrote :

If the issue is specific to atomic KMS then you can turn that off in /etc/environment:

  MUTTER_DEBUG_ENABLE_ATOMIC_KMS=0

which might provide a workaround.

Revision history for this message
fprietog (fprietog) wrote :

I can confirm this -nasty- bug. It happens in X11 and wayland sessions.

The workaround of changing in /boot/firmware/config.txt:
  dtoverlay=vc4-kms-v3d

To:
  dtoverlay=vc4-fkms-v3d

Solves the problem for me.

Revision history for this message
knoedel fan (knoedelfan) wrote (last edit ):

Setting fkms instead of kms bypasses the problem and is a solution at the moment.
However, the error with kms is not fixed.
Ubuntu Budgie 21.10 offers this change from kms to fkms with the tool "Budgie ARM and Pi" and you don’t have to edit the entry via config.txt.

Revision history for this message
William Wilson (jawn-smith) wrote :

I have found some more detail about this bug. When I am on a high resolution/frame rate monitor (2560x1440@144Hz) I see this bug on just about every single boot. I can't get past the plymouth screen before HDMI crashes with the flip_done error message. This is the case on both hirsute and impish. I have tried kernels from 5.11.0-1007 to the mainline 5.15 and get the same error. Switching to fake kms resolves the issue regardless of kernel.

When I switch to using my TV (1920x1080@60) I have a hard time recreating this issue. It takes playing multiple videos simultaneously and dragging them around all over the screen to trigger the flip_done crash.

Interestingly, I tried a third monitor that is 2560x1440 but with a lower max refresh rate (60Hz). It displayed behavior similar to the 1080p TV I used. That is, this issue was difficult to recreate.

So the only thing I can think of that is different with the monitor where I am able to recreate this easily is the max refresh rate. I find that odd as I think the Pi doesn't go over 60 Hz anyway, but that's about the only difference I can see.

Revision history for this message
fprietog (fprietog) wrote :

In my case I use a 1920x1080@60 monitor:
- Using wayland session if I just try to move an app in the apps drawer it hangs inmediately.
- Using X11 session it takes more time to hang, but it's just a matter of time.

Revision history for this message
Dave Jones (waveform) wrote :

To summarize the current findings after several days of testing:

* In all monitors the freeze manifests the same, with the same dmesg output
* Some monitors, in particular it seems higher-frame-rate (100+Hz) monitors (but by no means exclusive to these) trigger the freeze quite easily, often before the login screen even appears
* Other monitors, in particular lower-frame-rate (60Hz) monitors do trigger the freeze, but only after some activity
* A few monitor(s) (so far only a 60Hz one) don't trigger the freeze at all (thanks to brian-murray for additional testing on this)

Over the weekend I tested the 5.11.0-1019 and 5.11.0-1021 linux-raspi kernels from hirsute, installing them onto the impish image. With my (60Hz) monitor, I was unable to reproduce the crash with either of these, but jawn-smith *did* reproduce the issue with the hirsute kernel on his high-frame-rate monitor.

In other words, even rolling all the way back to the hirsute kernel won't eliminate the freeze for everyone. The good news is that fkms does appear to reliably work around the issue (thanks for knoedelfan and fprietog for the reports in #3 and #4), although that in itself comes with its own issues (though none as severe as the display freezing).

Revision history for this message
fossfreedom (fossfreedom) wrote : Re: [Bug 1946368] Re: HDMI output freezes under current/proposed impish kernels
Download full text (10.8 KiB)

Question - should the default be changed from KMS to FKMS for the
impish release? It seems that freezing is severe enough either not to
ship / or ship with a less than perfect default until more time can be
devoted to investigate and resolve.

On Mon, 11 Oct 2021 at 15:50, Dave Jones <email address hidden> wrote:
>
> To summarize the current findings after several days of testing:
>
> * In all monitors the freeze manifests the same, with the same dmesg output
> * Some monitors, in particular it seems higher-frame-rate (100+Hz) monitors (but by no means exclusive to these) trigger the freeze quite easily, often before the login screen even appears
> * Other monitors, in particular lower-frame-rate (60Hz) monitors do trigger the freeze, but only after some activity
> * A few monitor(s) (so far only a 60Hz one) don't trigger the freeze at all (thanks to brian-murray for additional testing on this)
>
> Over the weekend I tested the 5.11.0-1019 and 5.11.0-1021 linux-raspi
> kernels from hirsute, installing them onto the impish image. With my
> (60Hz) monitor, I was unable to reproduce the crash with either of
> these, but jawn-smith *did* reproduce the issue with the hirsute kernel
> on his high-frame-rate monitor.
>
> In other words, even rolling all the way back to the hirsute kernel
> won't eliminate the freeze for everyone. The good news is that fkms does
> appear to reliably work around the issue (thanks for knoedelfan and
> fprietog for the reports in #3 and #4), although that in itself comes
> with its own issues (though none as severe as the display freezing).
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1946368
>
> Title:
> HDMI output freezes under current/proposed impish kernels
>
> Status in linux-raspi package in Ubuntu:
> Confirmed
> Status in linux-raspi source package in Impish:
> Confirmed
>
> Bug description:
> Under the current (5.13.0-1007.8) or proposed (5.13.0-1008.9) kernels
> for the Ubuntu Pi pre-installed desktop impish release, the HDMI
> output occasionally freezes. A known workaround at this time is to
> change the following line in /boot/firmware/config.txt:
>
> dtoverlay=vc4-kms-v3d
>
> To the following:
>
> dtoverlay=vc4-fkms-v3d
>
> In other words, to use the "fake" KMS overlay (fkms) instead of the
> "full" KMS overlay (kms).
>
> I've been unable to determine a reliable method of guaranteeing a
> freeze, but it appears to occur much more readily when video playback
> is occurring, and when other interactions (especially moving windows
> around, minimizing, restoring) occurs simultaneously. Display suspend
> also periodically causes the same hang, which made me suspect this
> might be related to #1944397 but it appears that had a separate cause
> (now resolved).
>
> The following dmesg outputs have been observed immediately after the
> display hang; this one from 1007.8:
>
> [ 513.762138] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
> [ 513.762288] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] co
> mmit wait timed out
> ...

Revision history for this message
fprietog (fprietog) wrote :

@fossfreedom

Well, in fact the ubuntu-release-upgrader is doing just the the opposite that you want...

In hirsute I was using "vc4-fkms-v3d" so I didn't suffer this problem. But during the upgrade to impish my config.txt file was automatically changed from this:

   dtoverlay=vc4-fkms-v3d

To

   # changed by do-release-upgrade (LP: #1923673)
   dtoverlay=vc4-kms-v3d

This is the related bug:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-release-upgrader/+bug/1923673

Revision history for this message
Xinle Yao (sean-was-taken) wrote :

Dragging icons around on the dock makes the HDMI outputs freeze reliably on my monitor.

Dave Jones (waveform)
Changed in linux-raspi (Ubuntu Impish):
importance: Undecided → Critical
Revision history for this message
Xinle Yao (sean-was-taken) wrote :

After some testing, I found that restarting the monitor unfreezes the HDMI output. The monitor is an LG smart tv.

Revision history for this message
Juerg Haefliger (juergh) wrote :
Download full text (3.7 KiB)

Not sure if this is yet another different issue. Setting GNOME to 1920x1080@120Hz and rebooting consistently yields the below crash when X starts:

[ 35.852282] Unable to handle kernel paging request at virtual address dead000000000108
[ 35.860416] Mem abort info:
[ 35.863282] ESR = 0x96000044
[ 35.866382] EC = 0x25: DABT (current EL), IL = 32 bits
[ 35.871847] SET = 0, FnV = 0
[ 35.875059] EA = 0, S1PTW = 0
[ 35.878266] Data abort info:
[ 35.881231] ISV = 0, ISS = 0x00000044
[ 35.885156] CM = 0, WnR = 1
[ 35.888185] [dead000000000108] address between user and kernel address ranges
[ 35.895469] Internal error: Oops: 96000044 [#1] PREEMPT SMP
[ 35.901128] Modules linked in: rfcomm cmac algif_hash aes_arm64 algif_skcipher af_alg hci_uart btqca btrtl btbcm btintel bnep snd_soc_hdmi_codec btsdio bluetooth vc4 snd_soc_core ecdh_generic ecc snd_bcm2835(C) snd_pcm_dmaengine snd_pcm_oss bcm2835_codec(C) bcm2835_isp(C) brcmfmac snd_pcm v4l2_mem2mem videobuf2_dma_contig bcm2835_v4l2(C) bcm2835_mmal_vchiq(C) cfg80211 snd_seq videobuf2_vmalloc v3d gpu_sched snd_seq_device crct10dif_ce videobuf2_memops rfkill videobuf2_v4l2 brcmutil raspberrypi_hwmon videobuf2_common snd_timer vc_sm_cma(C) videodev snd drm_kms_helper mc syscopyarea sysfillrect sysimgblt bcm2835_gpiomem fb_sys_fops cec rpivid_mem nvmem_rmem uio_pdrv_genirq uio squashfs sch_fq_codel fuse drm ip_tables x_tables ipv6 autofs4 btrfs blake2b_generic libcrc32c xor xor_neon zstd_compress raid6_pq dm_mod uas usb_storage spidev i2c_brcmstb dwc2 udc_core i2c_bcm2835 xhci_pci roles xhci_pci_renesas spi_bcm2835 phy_generic
[ 35.984579] CPU: 1 PID: 1068 Comm: gnome-shell Tainted: G C 5.13.14-9001-raspi #1+git1294b741
[ 35.994553] Hardware name: Raspberry Pi 4 Model B Rev 1.4 (DT)
[ 36.000466] pstate: 60400005 (nZCv daif +PAN -UAO -TCO BTYPE=--)
[ 36.006561] pc : clk_request_done+0x34/0xe0
[ 36.010810] lr : clk_request_done+0x30/0xe0
[ 36.015050] sp : ffff8000122bba10
[ 36.018406] x29: ffff8000122bba10 x28: ffff8000122bbd48 x27: 0000000000000000
[ 36.025655] x26: ffff6b77cae94000 x25: 0000000000000038 x24: ffff6b77d4f82c00
[ 36.032902] x23: ffff6b77d08afc80 x22: 000000001dcd6500 x21: ffff6b77e0eb8200
[ 36.040148] x20: ffff6b77c3575200 x19: ffff6b77d0a8a780 x18: 0000000000000000
[ 36.047393] x17: 0000000000000000 x16: ffffaaafc2cfcdc0 x15: 0000ffffc55ddcb0
[ 36.054638] x14: 0000000000000000 x13: 0000000000000000 x12: 00000000ffffffff
[ 36.061882] x11: ffffaaafc352e4d0 x10: 0000000000000b20 x9 : ffffaaafc2cf409c
[ 36.069127] x8 : ffff6b77e6ce4980 x7 : 0000000000000000 x6 : dead000000000100
[ 36.076372] x5 : 0000000000000000 x4 : ffff6b77e6ce3e00 x3 : ffffaaafc3c49238
[ 36.083617] x2 : dead000000000100 x1 : dead000000000122 x0 : 0000000000000001
[ 36.090862] Call trace:
[ 36.093338] clk_request_done+0x34/0xe0
[ 36.097227] vc4_atomic_commit_tail+0x550/0x6b4 [vc4]
[ 36.102403] commit_tail+0xac/0x190 [drm_kms_helper]
[ 36.107524] drm_atomic_helper_commit+0x16c/0x380 [drm_kms_helper]
[ 36.113867] drm_atomic_commit+0x58/0x70 [drm]
[ 36.118529] drm_atomic_helper_set_config+0xe0/0x120 [drm_kms_helper]
[ 36.1251...

Read more...

Revision history for this message
Juerg Haefliger (juergh) wrote :

A test kernel is available here: https://kernel.ubuntu.com/~juergh/lp1946368/

I'd appreciate it if people who suffer from this problem could take it for a spin and report back.

Make sure to use full kms, i.e., dtoverlay=vc4-kms-v3d and also verify that you're actually running the test kernel:

$ uname -a
Linux rpi-4b-rev1d4-d9f5 5.13.0-1008-raspi #9+20211014.git9545d93d SMP PREEMPT Thu Oct 14 09:46:28 UTC 2021 aarch64 aarch64 aarch64 GNU/Linux

Revision history for this message
fprietog (fprietog) wrote :

Quick test done:

root@fpgrpi:~# uname -a
Linux fpgrpi 5.13.0-1008-raspi #9+20211014.git9545d93d SMP PREEMPT Thu Oct 14 09:46:28 UTC 2021 aarch64 aarch64 aarch64 GNU/Linux

Tested dtoverlay=vc4-kms-v3d on both wayland and X11 with no HDMI freezes at all. I'll have it keep running (on wayland) to make sure, but this fix seems to be really promising. Thanks.

Revision history for this message
fossfreedom (fossfreedom) wrote :
Download full text (9.9 KiB)

'fraid its not working here.

Confirmed uname -a - rebooted, ok. Switched to kms and on reboot it hangs.

Here using budgie-desktop installed on the current 21.10 release image
with gnome-shell removed. Thus using X11.

On Thu, 14 Oct 2021 at 13:01, fprietog <email address hidden> wrote:
>
> Quick test done:
>
> root@fpgrpi:~# uname -a
> Linux fpgrpi 5.13.0-1008-raspi #9+20211014.git9545d93d SMP PREEMPT Thu Oct 14 09:46:28 UTC 2021 aarch64 aarch64 aarch64 GNU/Linux
>
> Tested dtoverlay=vc4-kms-v3d on both wayland and X11 with no HDMI
> freezes at all. I'll have it keep running (on wayland) to make sure, but
> this fix seems to be really promising. Thanks.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1946368
>
> Title:
> HDMI output freezes under current/proposed impish kernels
>
> Status in linux-raspi package in Ubuntu:
> Confirmed
> Status in linux-raspi source package in Impish:
> Confirmed
>
> Bug description:
> Under the current (5.13.0-1007.8) or proposed (5.13.0-1008.9) kernels
> for the Ubuntu Pi pre-installed desktop impish release, the HDMI
> output occasionally freezes. A known workaround at this time is to
> change the following line in /boot/firmware/config.txt:
>
> dtoverlay=vc4-kms-v3d
>
> To the following:
>
> dtoverlay=vc4-fkms-v3d
>
> In other words, to use the "fake" KMS overlay (fkms) instead of the
> "full" KMS overlay (kms).
>
> I've been unable to determine a reliable method of guaranteeing a
> freeze, but it appears to occur much more readily when video playback
> is occurring, and when other interactions (especially moving windows
> around, minimizing, restoring) occurs simultaneously. Display suspend
> also periodically causes the same hang, which made me suspect this
> might be related to #1944397 but it appears that had a separate cause
> (now resolved).
>
> The following dmesg outputs have been observed immediately after the
> display hang; this one from 1007.8:
>
> [ 513.762138] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
> [ 513.762288] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] co
> mmit wait timed out
> [ 513.762381] [drm:drm_atomic_helper_wait_for_flip_done [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] flip_
> done timed out
> [ 524.002211] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
> [ 524.002404] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [PLANE:205:plane-25
> ] commit wait timed out
> [ 534.242499] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
> [ 534.242657] vc4-drm gpu: [drm] *ERROR* Timed out waiting for commit
> [ 534.250685] ------------[ cut here ]------------
> [ 534.250701] refcount_t: underflow; use-after-free.
> [ 534.250735] WARNING: CPU: 1 PID: 120 at lib/refcount.c:87 refcount_dec_not_one+0xa0/0xbc
> [ 534.250758] Modules linked in: rfcomm cmac algif_hash algif_skcipher af_alg hci_uart btqca btrtl btbcm
> btintel bnep snd_soc_hdmi_codec vc4 btsdio snd_soc_core input_leds bluetooth snd_compress snd_bcm283...

Revision history for this message
fprietog (fprietog) wrote :

@fossfreedom sorry to read this. It's still working for me even triyng to force it dragging icons, playing video and doing gpu benchmarks...

Please, publish here the result of inxi -Faz command in order to see if there is a difference between your and my graphics system:

Wayland, inxi graphics section:
-------------------------------
Graphics: Device-1: bcm2711-hdmi0 driver: vc4_hdmi v: N/A bus-ID: N/A chip-ID: brcm:fef00700 class-ID: hdmi
           Device-2: bcm2711-hdmi1 driver: vc4_hdmi v: N/A bus-ID: N/A chip-ID: brcm:fef05700 class-ID: hdmi
           Device-3: bcm2711-vc5 driver: vc4_drm v: N/A bus-ID: N/A chip-ID: brcm:gpu class-ID: gpu
           Display: wayland server: X.Org 1.21.1.2 compositor: gnome-shell driver: loaded: modesetting unloaded: fbdev
           display-ID: :0 screens: 1
           Screen-1: 0 s-res: 1920x1080 s-dpi: 96 s-size: 508x286mm (20.0x11.3") s-diag: 583mm (23")
           Monitor-1: XWAYLAND0 res: 1920x1080 hz: 60 dpi: 102 size: 480x270mm (18.9x10.6") diag: 551mm (21.7")
           OpenGL: renderer: V3D 4.2 v: 2.1 Mesa 21.2.2 direct render: Yes

X11, inxi graphics section:
---------------------------
Graphics: Device-1: bcm2711-hdmi0 driver: vc4_hdmi v: N/A bus-ID: N/A chip-ID: brcm:fef00700 class-ID: hdmi
           Device-2: bcm2711-hdmi1 driver: vc4_hdmi v: N/A bus-ID: N/A chip-ID: brcm:fef05700 class-ID: hdmi
           Device-3: bcm2711-vc5 driver: vc4_drm v: N/A bus-ID: N/A chip-ID: brcm:gpu class-ID: gpu
           Display: x11 server: X.Org 1.20.13 compositor: gnome-shell driver: loaded: modesetting unloaded: fbdev
           display-ID: :0 screens: 1
           Screen-1: 0 s-res: 1920x1080 s-dpi: 96 s-size: 508x285mm (20.0x11.2") s-diag: 582mm (22.9")
           Monitor-1: HDMI-1 res: 1920x1080 hz: 60 dpi: 102 size: 476x268mm (18.7x10.6") diag: 546mm (21.5")
           OpenGL: renderer: V3D 4.2 v: 2.1 Mesa 21.2.2 direct render: Yes

Revision history for this message
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1946368

tags: added: iso-testing
Revision history for this message
knoedel fan (knoedelfan) wrote (last edit ):

I have installed this 2 *.deb from here:
https://kernel.ubuntu.com/~juergh/impish-raspi/

Setting is now kms instead fkms

uname -a
Linux RW-RPI2 5.13.14-9004-raspi #1+git9545d93d SMP PREEMPT Thu Oct 14 11:12:19 CEST 2021 aarch64 aarch64 aarch64 GNU/Linux

config.txt:

# Config settings specific to arm64
arm_64bit=1
dtoverlay=dwc2
gpu_mem=512
dtoverlay=vc4-kms-v3d

Ubuntu Budgie 21.10

Starting Video with "Kylin" (setting is Mplayer) and it works fine without freeze.
Testing with DELL 19" 1600x900. Video playing in Fullscreen or Windows without issue.
Video playing in Firefox-Browser without issue.
Video and audio are beautifully synchronous.

I had installed all 6 *.deb from https://kernel.ubuntu.com/~juergh/lp1946368/
but that don´t helps out. So, i remove all of them again.
The strange thing was that with uname -a only one kernel with status September had reported.

Revision history for this message
Juerg Haefliger (juergh) wrote :

@knoedelfan, what doesn't help? `uname -a` will just show you the version of the running kernel.

Revision history for this message
Juerg Haefliger (juergh) wrote :

@fossfredom can you ssh to the system and pull the kernel log?

Revision history for this message
Juerg Haefliger (juergh) wrote :

@knoedelfan, Oh, you might need to force flash-kernel if you have test kernels installed because their versions might be higher.

Install linux-image and linux-modules from https://kernel.ubuntu.com/~juergh/lp1946368/ and then 'flash-kernel --force 5.13.0-1008-raspi'.

Revision history for this message
fossfreedom (fossfreedom) wrote :
Download full text (11.1 KiB)

Graphics:
  Device-1: bcm2711-vc5 driver: vc4_drm v: N/A bus-ID: N/A chip-ID: brcm:gpu
  class-ID: gpu
  Device-2: bcm2711-hdmi0 driver: N/A bus-ID: N/A chip-ID: brcm:soc
  class-ID: hdmi
  Device-3: bcm2711-hdmi1 driver: N/A bus-ID: N/A chip-ID: brcm:soc
  class-ID: hdmi
  Display: x11 server: X.Org 1.20.13 compositor: budgie-wm driver:
  loaded: modesetting unloaded: fbdev display-ID: :0 screens: 1
  Screen-1: 0 s-res: 1440x900 s-dpi: 96 s-size: 381x238mm (15.0x9.4")
  s-diag: 449mm (17.7")
  Monitor-1: HDMI-1 res: 1440x900 hz: 60 dpi: 90
  size: 408x255mm (16.1x10.0") diag: 481mm (18.9")
  OpenGL: renderer: V3D 4.2 v: 2.1 Mesa 21.2.2 direct render: Yes

The hang is at boot stage - so it hasnt got to lightDM/desktop - so
its not possible to SSH - I scanned via nmap and it isnt seen on the
network. I just see the initial date text after the splash screen,
followed by writable blocks and seeing briefly the load of the
broadcom driver - at that stage the monitor turns off. Switching back
to fkms via a separate computer, reinserting into the pi allows the
boot to be ok to the lightdm & desktop.

If my issues are different from others then maybe I should raise a
separate bug report.
On Thu, 14 Oct 2021 at 14:35, knoedel fan <email address hidden> wrote:
>
> I have installed this 2 *.deb from here:
> https://kernel.ubuntu.com/~juergh/impish-raspi/
>
> Setting is now kms instead fkms
>
> uname -a
> Linux RW-RPI2 5.13.14-9004-raspi #1+git9545d93d SMP PREEMPT Thu Oct 14 11:12:19 CEST 2021 aarch64 aarch64 aarch64 GNU/Linux
>
> Ubuntu Budgie 21.10
>
> Starting Video with "Kylin" (setting is Mplayer) and it works fine without freeze.
> Testing with DELL 19" 1600x900. Video playing in Fullscreen or Windows without issue.
> Video playing in Firefox-Browser without issue.
>
> I had installed all 6 *.deb from https://kernel.ubuntu.com/~juergh/lp1946368/
> but that don´t helps out. So, i remove all of them again.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1946368
>
> Title:
> HDMI output freezes under current/proposed impish kernels
>
> Status in linux-raspi package in Ubuntu:
> Confirmed
> Status in linux-raspi source package in Impish:
> Confirmed
>
> Bug description:
> Under the current (5.13.0-1007.8) or proposed (5.13.0-1008.9) kernels
> for the Ubuntu Pi pre-installed desktop impish release, the HDMI
> output occasionally freezes. A known workaround at this time is to
> change the following line in /boot/firmware/config.txt:
>
> dtoverlay=vc4-kms-v3d
>
> To the following:
>
> dtoverlay=vc4-fkms-v3d
>
> In other words, to use the "fake" KMS overlay (fkms) instead of the
> "full" KMS overlay (kms).
>
> I've been unable to determine a reliable method of guaranteeing a
> freeze, but it appears to occur much more readily when video playback
> is occurring, and when other interactions (especially moving windows
> around, minimizing, restoring) occurs simultaneously. Display suspend
> also periodically causes the same hang, which made me suspect this
> might be related to #1944397 but it appears that had a separate cause
> (now ...

Revision history for this message
knoedel fan (knoedelfan) wrote :

#21

Because the two *. deb from https://kernel. ubuntu. com/~juergh/impish-raspi/ work, I don’t see any reason to make any further changes at the moment.

Had installed both with "Software" Application installation.

Revision history for this message
fprietog (fprietog) wrote (last edit ):

@fossfreedom, apart from the wm used (you budgie-wm and me gnome-shell) I see that your HDMI devices are identified as brcm:soc while mines are identified as fef00700 and fef05700.

Maybe we are using different eeprom version. I'm using latest stable from here:
https://github.com/raspberrypi/rpi-eeprom

root@fpgrpi:~# rpi-eeprom-update

BOOTLOADER: up to date
   CURRENT: mar 06 jul 2021 10:44:53 UTC (1625568293)
    LATEST: jue 29 abr 2021 16:11:25 UTC (1619712685)
   RELEASE: stable (/lib/firmware/raspberrypi/bootloader/stable)
            Use raspi-config to change the release.

  VL805_FW: Using bootloader EEPROM
     VL805: up to date
   CURRENT: 000138a1
    LATEST: 000138a1

Which one are you using? Maybe you can update it to the newest version just to try.

Revision history for this message
Juerg Haefliger (juergh) wrote :

@knoedelfan, then you'll never get kernel updates again since the test kernel's version will always be higher. Your call.

Revision history for this message
Juerg Haefliger (juergh) wrote :

@fossfreedom, can you SSH to the system if you boot without a monitor attached? Then you could (untested):
- systemctl set-default multi-user
- reattach monitor
- reboot
- SSH to system
- systemctl isolate graphical (to fire up X)
- pull logs (assuming the system stays up)

Revision history for this message
William Wilson (jawn-smith) wrote :

@juergh with this new kernel I no longer see the flip_done timed out message, but HDMI still dies and the boot process hangs right after plymouth starts up.

```
ext4
Thu Jan 1 00:00:09 UTC 1970
writable: recovering journal
writable: clean, 159978/929200 files, 1595477/3751163 blocks
-.mount
blk-availability.service
dev-hugepages.mount
dev-mqueue.mount
sys-kernel-debug.mount
sys-kernel-tracing.mount
kmod-static-nodes.service
systemd-modules-load.service
systemd-remount-fs.service
ufw.service
swapfile.swap
systemd-journald.service
sys-fs-fuse-connections.mount
sys-kernel-config.mount
systemd-growfs@-.service
systemd-random-seed.service
systemd-sysusers.service
systemd-sysctl.service
systemd-tmpfiles-setup-dev.service
keyboard-setup.service
systemd-journal-flush.service
lvm2-monitor.service
snap-bare-5.mount
snap-core-11803.mount
snap-core20-1171.mount
snap-firefox-633.mount
snap-gnome\x2d3\x2d38\x2d2004-78.mount
snap-gtk\x2dcommon\x2dthemes-1519.mount
snap-snap\x2dstore-555.mount
systemd-udevd.service
systemd-udev-trigger.service
plymouth-start.service
[ 15.442712] brcmfmac: brcmf_fw_alloc_request: using brcm/brcmfmac43456-sdio for chip BCM4345/9
[ 15.725950] brcmfmac: brcmf_fw_alloc_request: using brcm/brcmfmac43456-sdio for chip BCM4345/9
[ 15.738824] brcmfmac: brcmf_fw_alloc_request: using brcm/brcmfmac43456-sdio for chip BCM4345/9
[ 15.760840] brcmfmac: brcmf_c_preinit_dcmds: Firmware: BCM4345/9 wl0: May 14 2020 17:26:08 version 7.84.17.1 (r871554) FWID 01-3d9e1d87
```

Revision history for this message
knoedel fan (knoedelfan) wrote (last edit ):

#25
No problem for me.
Ubuntu Budgie 21.10 is only release candidate. So, if there is the final out coming, I install this fresh.
It's only my Test-System, and normally I use Ubuntu budgie 21.04.

Revision history for this message
fossfreedom (fossfreedom) wrote :
Download full text (9.8 KiB)

Similar here to William Wilson's observation - I've now done a clean
install - installed openssh-server - autologin. With KMS and no
monitor attached the raspi hangs before any network is established -
confirmed via nmap scan. With fkms & no monitor attached, boot occurs
ok and I can find the raspi IP via nmap and connect via ssh.

On Thu, 14 Oct 2021 at 17:10, knoedel fan <email address hidden> wrote:
>
> #25
> No problem for me.
> Ubuntu Budgie 21.10 is only release candidate. So, if there is the final out coming, I install this fresh.
> It's only my Test-System, and normally I use Ubuntu budgie 21.04.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1946368
>
> Title:
> HDMI output freezes under current/proposed impish kernels
>
> Status in linux-raspi package in Ubuntu:
> Confirmed
> Status in linux-raspi source package in Impish:
> Confirmed
>
> Bug description:
> Under the current (5.13.0-1007.8) or proposed (5.13.0-1008.9) kernels
> for the Ubuntu Pi pre-installed desktop impish release, the HDMI
> output occasionally freezes. A known workaround at this time is to
> change the following line in /boot/firmware/config.txt:
>
> dtoverlay=vc4-kms-v3d
>
> To the following:
>
> dtoverlay=vc4-fkms-v3d
>
> In other words, to use the "fake" KMS overlay (fkms) instead of the
> "full" KMS overlay (kms).
>
> I've been unable to determine a reliable method of guaranteeing a
> freeze, but it appears to occur much more readily when video playback
> is occurring, and when other interactions (especially moving windows
> around, minimizing, restoring) occurs simultaneously. Display suspend
> also periodically causes the same hang, which made me suspect this
> might be related to #1944397 but it appears that had a separate cause
> (now resolved).
>
> The following dmesg outputs have been observed immediately after the
> display hang; this one from 1007.8:
>
> [ 513.762138] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
> [ 513.762288] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] co
> mmit wait timed out
> [ 513.762381] [drm:drm_atomic_helper_wait_for_flip_done [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] flip_
> done timed out
> [ 524.002211] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
> [ 524.002404] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [PLANE:205:plane-25
> ] commit wait timed out
> [ 534.242499] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
> [ 534.242657] vc4-drm gpu: [drm] *ERROR* Timed out waiting for commit
> [ 534.250685] ------------[ cut here ]------------
> [ 534.250701] refcount_t: underflow; use-after-free.
> [ 534.250735] WARNING: CPU: 1 PID: 120 at lib/refcount.c:87 refcount_dec_not_one+0xa0/0xbc
> [ 534.250758] Modules linked in: rfcomm cmac algif_hash algif_skcipher af_alg hci_uart btqca btrtl btbcm
> btintel bnep snd_soc_hdmi_codec vc4 btsdio snd_soc_core input_leds bluetooth snd_compress snd_bcm2835(C)
> snd_pcm_dmaengine ecdh_generic ecc snd_pcm ...

Revision history for this message
andrum99 (andrum99) wrote (last edit ):
Download full text (4.1 KiB)

I'm seeing this on Impish on my machine. Kernel is 5.13.0-1008-raspi #9-Ubuntu. Desktop comes up but then randomly freezes with the following in dmesg:

[ 283.872220] [drm:drm_atomic_helper_wait_for_flip_done [drm_kms_helper]] *ERROR* [CRTC:83:crtc-4] flip_done timed out
[ 283.872223] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 283.872490] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:83:crtc-4] commit wait timed out
[ 294.112288] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 294.112576] [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [PLANE:211:plane-26] commit wait timed out
[ 304.352387] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed out
[ 304.352664] vc4-drm gpu: [drm] *ERROR* Timed out waiting for commit
[ 304.369388] ------------[ cut here ]------------
[ 304.369406] refcount_t: underflow; use-after-free.
[ 304.369447] WARNING: CPU: 1 PID: 22 at lib/refcount.c:87 refcount_dec_not_one+0xa0/0xbc
[ 304.369478] Modules linked in: nfnetlink rfcomm cmac algif_hash algif_skcipher af_alg hci_uart btqca btrtl btbcm btintel bnep snd_soc_hdmi_codec btsdio bluetooth ecdh_generic ecc vc4 brcmfmac brcmutil input_leds snd_soc_core cfg80211 snd_compress snd_pcm_dmaengine snd_bcm2835(C) snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi raspberrypi_hwmon snd_seq bcm2835_v4l2(C) bcm2835_codec(C) videobuf2_vmalloc snd_seq_device bcm2835_isp(C) v4l2_mem2mem bcm2835_mmal_vchiq(C) videobuf2_dma_contig snd_timer videobuf2_memops vc_sm_cma(C) videobuf2_v4l2 videobuf2_common videodev snd bcm2835_gpiomem mc rpivid_mem uio_pdrv_genirq uio sch_fq_codel ip_tables x_tables autofs4 btrfs blake2b_generic xor xor_neon zstd_compress raid6_pq libcrc32c hid_generic usbhid dm_mirror dm_region_hash dm_log spidev v3d crct10dif_ce gpu_sched dwc2 i2c_brcmstb drm_kms_helper roles udc_core i2c_bcm2835 syscopyarea sysfillrect sysimgblt fb_sys_fops spi_bcm2835 cec drm xhci_pci xhci_pci_renesas phy_generic ac97_bus
[ 304.369880] aes_arm64
[ 304.369891] CPU: 1 PID: 22 Comm: kworker/1:0 Tainted: G C 5.13.0-1008-raspi #9-Ubuntu
[ 304.369902] Hardware name: Raspberry Pi 4 Model B Rev 1.1 (DT)
[ 304.369909] Workqueue: events drm_mode_rmfb_work_fn [drm]
[ 304.370077] pstate: 60400005 (nZCv daif +PAN -UAO -TCO BTYPE=--)
[ 304.370087] pc : refcount_dec_not_one+0xa0/0xbc
[ 304.370098] lr : refcount_dec_not_one+0xa0/0xbc
[ 304.370106] sp : ffff8000100ebb50
[ 304.370110] x29: ffff8000100ebb50 x28: ffff5d76a5c53a00 x27: ffff5d7644e78000
[ 304.370129] x26: ffff5d7644e78000 x25: 0000000000000006 x24: ffff5d7691b91a80
[ 304.370145] x23: ffffdeb5d3dda018 x22: ffff5d76a4ff2980 x21: ffff5d764f18f480
[ 304.370161] x20: ffff5d76a5d835ac x19: ffff5d76a5d83400 x18: 0000000000000000
[ 304.370177] x17: 0000000000000000 x16: ffffdeb62d842574 x15: 0000000000000000
[ 304.370192] x14: 0000000000000000 x13: 0000000000000030 x12: 0000000000004000
[ 304.370208] x11: ffffdeb62e8fdfd0 x10: 00000000fffff000 x9 : ffffdeb62d309f64
[ 304.370223] x8 : 00000000ffffefff x7 : ffffdeb62e8fdfd0 x6 : 0000000000000000
[ 304.370239] x5 : ffff5d76f799f948 x4 : 0000000000000000 x3 : 00...

Read more...

Revision history for this message
andrum99 (andrum99) wrote :

Test kernel from https://kernel.ubuntu.com/~juergh/lp1946368/ fixes it for me 👍

Revision history for this message
Juerg Haefliger (juergh) wrote :

@fossfreedom, that is weird. Can you post the log from the failed boot? journalctrl -b -1 or something.

Revision history for this message
Juerg Haefliger (juergh) wrote :

@fossfreedom, can you also post the binary edid of your monitor? /sys/class/drm/card1-HDMI-A-1/edid

Revision history for this message
fossfreedom (fossfreedom) wrote :

Unfortunately there doesnt appear to be any logs produced with the kms boot - just the fkms boot.

I presume logs are not immediately written to the SDCard - checked this via journalctl --list-boots that only shows the fkms session boots

anyway - enc the edid of the monitor

Revision history for this message
andrum99 (andrum99) wrote :

Just noticed that with the kernel from https://kernel.ubuntu.com/~juergh/lp1946368/ my Pi 4B is no longer using wayland - Xorg is used instead. Not sure if this is intentional. Ideally wayland would be used for desktop compositing, since there is considerable screen tearing with Xorg.

Revision history for this message
Juerg Haefliger (juergh) wrote :

@andrum99, that is certainly not intentional. My Pi 4 continues to happily run wayland with that test kernel.

Revision history for this message
fossfreedom (fossfreedom) wrote :

@juergh - apologies - I've diagnosed my boot freeze issue - it was a power supply issue. Changing to a brand new supply makes the boot work. KMS must have just tipped the voltage available.

The good news is that installing the 6 debs from the test kernel no longer causes freezes. So congrats on resolving this.

Revision history for this message
William Wilson (jawn-smith) wrote :

It seems changing the power supply (along with the test kernel provided by juergh) has resolved my issues as well.

Revision history for this message
Juerg Haefliger (juergh) wrote :

I like these answers :-) Thanks for helping to nail this down.

Juerg Haefliger (juergh)
description: updated
Juerg Haefliger (juergh)
description: updated
Juerg Haefliger (juergh)
Changed in linux-raspi (Ubuntu Impish):
status: Confirmed → In Progress
Revision history for this message
Benjamin Lupton (balupton) wrote :

I'm also experiencing this on a non-critical raspberry pi 400 setup. I'm pondering whether I can wait for the test kernel fix to be released in a more mainstream way - are we talking days, weeks, or months for those changes to get out to mainstream?

Revision history for this message
andrum99 (andrum99) wrote :

Apologies - the problem with my Pi 4B desktop reverting to X11 when I installed the kernel packages from https://kernel.ubuntu.com/~juergh/lp1946368/ was caused by a problem with my boot/root drive, which is an SSD in a USB 3 enclosure. For some reason it doesn't work quite right with UAS mode, having worked fine with spinning rust (hard disk) previously in UAS mode.

Setting the relevant quirk to disable UAS mode before booting Ubuntu 21.10 on the Pi 4B fixes the problem, and once the kernel from https://kernel.ubuntu.com/~juergh/lp1946368/ is installed the desktop stops freezing 👍 and uses wayland 👍

Revision history for this message
andrum99 (andrum99) wrote :

Can you tell me how to get ZFS back? Installing the kernel packages from https://kernel.ubuntu.com/~juergh/lp1946368/ results in the ZFS modules being deleted from my system. It looks like the modules are missing from the version of the linux-modules-5.13.0-1008-raspi package at https://kernel.ubuntu.com/~juergh/lp1946368/.

Revision history for this message
fprietog (fprietog) wrote (last edit ):

@andrum99

Probably not related to the missing zfs module in the testing package but be warned that there is a warning for the current impish zfs kennel module:

=== Attention: ZFS kernel panic mitigation ===

"The version of the ZFS driver included in the 5.13.0-19 kernel contains a bug that can result in filesystem corruption. Users of ZFS are advised to wait until the first Stable Release Update of the kernel in 21.10 before upgrading." Trent Lloyd's long standing bug report of the ZFS kernel panic is mitigated with the 5.13.0-20 impish-proposed kernel.

https://bugs.launchpad.net/ubuntu/+source/zfs-linux/+bug/1906476

Revision history for this message
andrum99 (andrum99) wrote :

@fprietog Thanks for the heads up.

Revision history for this message
Juerg Haefliger (juergh) wrote :

@andrum99, my test kernel doesn't include zfs modules. The final release kernel will do though.

Revision history for this message
Juerg Haefliger (juergh) wrote :

@balupton, the plan is to roll the fixes into the current SRU cycle with a release to -updates on 8 Nov (per https://kernel.ubuntu.com/). Kernel prep is this week so you can expect something in -proposed by the end of this week.

Changed in linux-raspi (Ubuntu Impish):
status: In Progress → Fix Committed
Revision history for this message
Benjamin Lupton (balupton) wrote :

Thanks. Could you post back with step by step instructions for a semi-technical user on how to install the fix kernel when it lands in proposed?

Revision history for this message
Juerg Haefliger (juergh) wrote :

Once it's in proposed:
$ sudo apt-add-repository -p proposed
$ sudo apt install linux-raspi

And then if you want to remove proposed again:
$ sudo apt-add-repository -r -p proposed

Revision history for this message
knoedel fan (knoedelfan) wrote :

I reinstalled my Ubuntu-Budgie 21.10.
All updates are on October 22. 2021.
Proposed channel is activated.

Executed this order!

$ sudo apt install linux-raspi

Unfortunately, no improvement!
In fkms mode the video playback works.
With kms mode, the system, the video, the mouse pointer in spite of update freezes again and only Power-Off gets the Raspi 4b 8GB running again.

$ uname -a
Linux rw-rpi0 5.13.0-1008-raspi #9-Ubuntu SMP PREEMPT Wed Sep 29 08:27:44 UTC 2021 aarch64 aarch64 aarch64 GNU/Linux

Revision history for this message
fossfreedom (fossfreedom) wrote :
Download full text (11.3 KiB)

The fix is not yet in proposed.

Everyone will be notified when it is via a post on this thread asking for
it to be tested.

On Fri, 22 Oct 2021, 16:25 knoedel fan, <email address hidden> wrote:

> I reinstalled my Ubuntu-Budgie 21.10.
> All updates are on October 22. 2021.
> Proposed channel is activated.
>
> Executed this order!
>
> $ sudo apt install linux-raspi
>
> Unfortunately, no improvement!
> In fkms mode the video playback works.
> With kms mode, the system, the video, the mouse pointer in spite of update
> freezes again and only Power-Off gets the Raspi 4b 8GB running again.
>
> $ uname -a
> Linux rw-rpi0 5.13.0-1008-raspi #9-Ubuntu SMP PREEMPT Wed Sep 29 08:27:44
> UTC 2021 aarch64 aarch64 aarch64 GNU/Linux
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1946368
>
> Title:
> HDMI output freezes under current/proposed impish kernels
>
> Status in linux-raspi package in Ubuntu:
> Confirmed
> Status in linux-raspi source package in Impish:
> Fix Committed
>
> Bug description:
> [Impact]
>
> The UI of Impish desktop for raspi occasionally freezes which can be
> triggered by playing videos and moving windows around. Seems to happen
> more frequently when using higher resolutions and/or higher refresh
> rates (higher than 1920x1080@60Hz).
>
> Kernel errors are along the lines of:
> [ 513.762138] [drm:drm_crtc_commit_wait [drm]] *ERROR* flip_done timed
> out
> [ 513.762288] [drm:drm_atomic_helper_wait_for_dependencies
> [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] co
> mmit wait timed out
> [ 513.762381] [drm:drm_atomic_helper_wait_for_flip_done
> [drm_kms_helper]] *ERROR* [CRTC:76:crtc-3] flip_
> done timed out
>
> [Test Case]
>
> Install current Impish desktop for raspi on a Pi 4. Use a high-
> refresh/resolution monitor. Play videos, move windows around.
>
> [Fix]
>
> The Pi foundation identified a couple of upstream vc4 commits that
> seem to interfere with their downstream patches. Revert those to match
> the Pi foundations currently released 5.10 kernel.
>
> [Where Problems Could Occur]
>
> The changes are confined to the vc4 driver, so problems would only
> show up if that driver is in use. Which is only the case for the
> Ubuntu raspi desktop image, so server images should not be impacted at
> all.
>
> [Original Description]
>
> Under the current (5.13.0-1007.8) or proposed (5.13.0-1008.9) kernels
> for the Ubuntu Pi pre-installed desktop impish release, the HDMI
> output occasionally freezes. A known workaround at this time is to
> change the following line in /boot/firmware/config.txt:
>
> dtoverlay=vc4-kms-v3d
>
> To the following:
>
> dtoverlay=vc4-fkms-v3d
>
> In other words, to use the "fake" KMS overlay (fkms) instead of the
> "full" KMS overlay (kms).
>
> I've been unable to determine a reliable method of guaranteeing a
> freeze, but it appears to occur much more readily when video playback
> is occurring, and when other interactions (especially moving windows
> around, minimizing, restoring) occurs simultaneously. Display suspend
> also periodically causes...

Revision history for this message
knoedel fan (knoedelfan) wrote (last edit ):

I reinstalled my Ubuntu-Budgie 21.10 Desktop!!!!!! Not Ubuntu 21.10 Desktop!!!!
All updates are on October 22. 2021.
Proposed channel is activated.

Executed this order!

$ sudo apt install linux-raspi
$ sudo reboot

Unfortunately, no improvement!
In fkms mode the video playback works.
With kms mode, the system, the video, the mouse pointer in spite of update freezes again and only Power-Off gets the Raspi 4b 8GB running again.

$ uname -a
Linux rw-rpi0 5.13.0-1008-raspi #9-Ubuntu SMP PREEMPT Wed Sep 29 08:27:44 UTC 2021 aarch64 aarch64 aarch64 GNU/Linux

$ rpi-eeprom-update
BOOTLOADER: up to date
   CURRENT: Do 29. Apr 16:11:25 UTC 2021 (1619712685)
    LATEST: Do 29. Apr 16:11:25 UTC 2021 (1619712685)
   RELEASE: stable (/lib/firmware/raspberrypi/bootloader/stable)
            Use raspi-config to change the release.

  VL805_FW: Using bootloader EEPROM
     VL805: up to date
   CURRENT: 000138a1
    LATEST: 000138a1

Revision history for this message
Costin Botescu (colin-i) wrote :

@knoedelfan
The fix is not already there.
You have "5.13.0-1008-raspi #9-Ubuntu" released on 2021-10-11.
When you "install" now you see "linux-raspi is already the newest version".

Revision history for this message
Tim Halloran (hallorant) wrote :

Also having this problem, it seems to trigger immediately on dual monitors on a pi 4 (8G). I can get it to go for a bit on one monitor.

Changed in linux-raspi (Ubuntu Impish):
status: Fix Committed → Fix Released
Revision history for this message
fossfreedom (fossfreedom) wrote :

I have no idea why the status has changed ... the fix hasn't entered the archive yet.

Changed in linux-raspi (Ubuntu Impish):
status: Fix Released → Fix Committed
Revision history for this message
Andy Valley (andyinthevalley) wrote :

Just upgraded, still crashes same as before.

Revision history for this message
knoedel fan (knoedelfan) wrote (last edit ):

Do you mean the problem with fkms vs. kms?
I installed an update this morning.
Ubuntu-Budgie 21. 10 proposed.

Then switched to kms and the Raspi Pi 4 restarted.

Video started and after 3 seconds the video freezes, BT audio output stops, mouse pointer freezes.

As soon as I move the mouse pointer, it happens instantly.

Revision history for this message
Viktor G. (viktor-g) wrote (last edit ):

5.13.0.1009.15 unfortunately does not improve the problem.
(fresh installed ubuntu 21.10 desktop and rpi4 4gb)

Revision history for this message
Juerg Haefliger (juergh) wrote :

-1009 does not include the HDMI fix. That's just an in-between release to support the new Pi Zero 2 device that was just announced today. -1010 is the fixed version. It's currently building and should reach proposed later today or tomorrow.

Revision history for this message
knoedel fan (knoedelfan) wrote :

Vielen Dank Juerg für diese Info!

Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote :

This bug is awaiting verification that the linux-raspi/5.13.0-1010.11 kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-impish' to 'verification-done-impish'. If the problem still exists, change the tag 'verification-needed-impish' to 'verification-failed-impish'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-impish
Revision history for this message
knoedel fan (knoedelfan) wrote (last edit ):

robert@rw-rpi0:~$ uname -a
Linux rw-rpi0 5.13.0-1010-raspi #11-Ubuntu SMP PREEMPT Thu Oct 28 08:32:52 UTC 2021 aarch64 aarch64 aarch64 GNU/Linux

Update (proposed) for Ubuntu-Budgie 21.10 Raspberry Pi 4B 8GB.

config.txt in kms-mode
Screen without Audio plugged to HDMI1
Audio over BT-Loudspeaker

Video and audio run synchronously in kms mode. Without issue.
Bug is fixed.
Test in Mozilla Firefox. Video and audio run synchronously in kms mode without issue.
Bug is fixed.

Many thanks to the Team from Ubuntu!

tags: added: verification-done-impish

Revision history for this message
fprietog (fprietog) wrote :

Tested:
Linux fpgrpi 5.13.0-1010-raspi #11-Ubuntu SMP PREEMPT Thu Oct 28 08:32:52 UTC 2021 aarch64 aarch64 aarch64 GNU/Linux

Environments tested: X11 and wayland

Problem is solved!

tags: added: verification-done-impish
removed: verification-needed-impish
Revision history for this message
wendellgee (wendellgee) wrote :

Confirming, the problem seems to be solved.

Tested:

driver: dtoverlay=vc4-kms-v3d

uname -a
Linux u2110rpi 5.13.0-1010-raspi #11-Ubuntu SMP PREEMPT Thu Oct 28 08:32:52 UTC 2021 aarch64 aarch64 aarch64 GNU/Linux

No freeze for both Wayland and X11.

Big thank you Ubuntu Team!

Revision history for this message
Daniel Johnsen (err0rtpl0x) wrote :

Anyone who can explain to a noob how to install the kernel? i run Ubuntu desktop 21.10 on raspberry pi 400. Im pretty new to all this.

Revision history for this message
knoedel fan (knoedelfan) wrote (last edit ):

Daniel: You have to activate the developer options inside the update management. Only then, you get the update from propose canal! A normal update does not help without a development option. This option you get when click settings in Main window of update management ( Software & Updates program ).
After switch on development option new package are reading into your system. After ending this download you can click ok from update management to start a search for new updates inside propose canal. This update is a pre-release.

Read this too: https://wiki.ubuntu.com/Testing/EnableProposed

Revision history for this message
Daniel Johnsen (err0rtpl0x) wrote :

Knoedel: Thank you, i actually just downloaded the 2 deb files from https://kernel.ubuntu.com/~juergh/lp1946368/ and rebooted my pi, and havnt ran into any freezing issues after this.

Revision history for this message
Ak (cwo99) wrote :

When it will be published to the updates channel? Can't find any information about the release cycle.

Revision history for this message
Viktor G. (viktor-g) wrote :
Revision history for this message
Dennis Golden (dlgintx) wrote :

Either I did something wrong, or it doesn't work for me. I followed these steps:
$ sudo apt-add-repository -p proposed
$ sudo apt install linux-raspi

uname -a output:
Linux ubuntu 5.13.0-1010-raspi #11-Ubuntu SMP PREEMPT Thu Oct 28 08:32:52 UTC 2021 aarch64 aarch64 aarch64 GNU/Linux

After the rainbow splash, cursor blinking waiting for boot the screen goes black and shows no signal.

Output of ls -l boot and rpi-eeprom-update:
ubuntu@ubuntu:~$ ls -l /boot
total 66888
-rw------- 1 root root 5112454 Oct 25 08:22 System.map-5.13.0-1009-raspi
-rw------- 1 root root 5110476 Oct 28 02:59 System.map-5.13.0-1010-raspi
-rw-r--r-- 1 root root 241336 Oct 25 08:22 config-5.13.0-1009-raspi
-rw-r--r-- 1 root root 241266 Oct 28 02:59 config-5.13.0-1010-raspi
lrwxrwxrwx 1 root root 44 Nov 1 20:14 dtb -> dtbs/5.13.0-1010-raspi/./bcm2711-rpi-4-b.dtb
lrwxrwxrwx 1 root root 44 Oct 31 20:22 dtb-5.13.0-1009-raspi -> dtbs/5.13.0-1009-raspi/./bcm2711-rpi-4-b.dtb
lrwxrwxrwx 1 root root 44 Nov 1 20:14 dtb-5.13.0-1010-raspi -> dtbs/5.13.0-1010-raspi/./bcm2711-rpi-4-b.dtb
drwxr-xr-x 4 root root 4096 Nov 1 20:14 dtbs
drwxr-xr-x 4 root root 7680 Dec 31 1969 firmware
lrwxrwxrwx 1 root root 28 Nov 1 20:13 initrd.img -> initrd.img-5.13.0-1010-raspi
-rw-r--r-- 1 root root 19391282 Oct 31 20:21 initrd.img-5.13.0-1009-raspi
-rw-r--r-- 1 root root 19390433 Nov 1 20:14 initrd.img-5.13.0-1010-raspi
lrwxrwxrwx 1 root root 28 Nov 1 20:13 initrd.img.old -> initrd.img-5.13.0-1009-raspi
lrwxrwxrwx 1 root root 25 Nov 1 20:13 vmlinuz -> vmlinuz-5.13.0-1010-raspi
-rw------- 1 root root 9491368 Oct 25 08:22 vmlinuz-5.13.0-1009-raspi
-rw------- 1 root root 9489364 Oct 28 02:59 vmlinuz-5.13.0-1010-raspi
lrwxrwxrwx 1 root root 25 Nov 1 20:13 vmlinuz.old -> vmlinuz-5.13.0-1009-raspi
ubuntu@ubuntu:~$ sudo rpi-eeprom-update
BOOTLOADER: up to date
   CURRENT: Thu Apr 29 16:11:25 UTC 2021 (1619712685)
    LATEST: Thu Apr 29 16:11:25 UTC 2021 (1619712685)
   RELEASE: default (/lib/firmware/raspberrypi/bootloader/default)
            Use raspi-config to change the release.

  VL805_FW: Using bootloader EEPROM
     VL805: up to date
   CURRENT: 000138a1
    LATEST: 000138a1

Revision history for this message
Dennis Golden (dlgintx) wrote :

BTW: I should say that I am using the plasma desktop, but this is is failing before anything is running. The network is up and will respond to ping, but won't accept a connection.

Revision history for this message
Dennis Golden (dlgintx) wrote :

Okay, I started with fresh desktop install. It hung one time before I was able to update the kernel. So far it's running as it should.

Thank you all for your comments and guidance.

Revision history for this message
ko4la (ko4la) wrote :

Thx a lot.

Same here therefore I used this :
$ sudo apt-add-repository -p proposed
$ sudo apt install linux-raspi
$ sudo apt-add-repository -r -p proposed
$ sudo reboot

No more issue.

Revision history for this message
Lloyd E James (edjames1950) wrote :

To make life easier, on the problem Ubuntu machine, I installed ssh server:
   sudo apt install openssh-server
and left an open ssh connection to it from another RPi.
When the Ubuntu machine display froze, the OS itself was still running, and from other machine, I unlocked the Ubuntu lockup with
   sudo service gdm restart
I don't like rebooting a machine by cutting power for ... reasons.
I've not tried the s/kms/fkms trick yet, but I am doing daily updates. I'm also getting a lot up uptime between freezes.

Revision history for this message
Costin Botescu (colin-i) wrote :

Write fkms to config.txt from boot partition before inserting the sd card. Then install linux-raspi from proposed or wait for updates. Then revert to kms.

Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (25.3 KiB)

This bug was fixed in the package linux-raspi - 5.13.0-1010.12

---------------
linux-raspi (5.13.0-1010.12) impish; urgency=medium

  * impish/linux-raspi: 5.13.0-1010.12 -proposed tracker (LP: #1950142)

  * [Impish] Unable to boot rpi3b and cm3+ after upgrade to kernel
    5.13.0-1010.11-raspi (LP: #1950117)
    - firmware: raspberrypi: Partially revert 'firmware: bcm2835: Support
      ARCH_BCM270x'

  * Packaging resync (LP: #1786013)
    - [Packaging] update Ubuntu.md

  * HDMI output freezes under current/proposed impish kernels (LP: #1946368)
    - Revert "drm/vc4: Increase the core clock to a minimum of 500MHz"
    - Revert "drm/vc4: Increase the core clock based on HVS load"
    - Revert "drm/vc4: fix vc4_atomic_commit_tail() logic"
    - Revert "drm: Introduce a drm_crtc_commit_wait helper"
    - Revert "drm/vc4: kms: Convert to atomic helpers"
    - Revert "drm/vc4: kms: Remove async modeset semaphore"
    - Revert "drm/vc4: kms: Remove unassigned_channels from the HVS state"
    - Revert "drm/vc4: kms: Wait on previous FIFO users before a commit"
    - drm/vc4: Increase the core clock based on HVS load
    - drm/vc4: Increase the core clock to a minimum of 500MHz

  [ Ubuntu: 5.13.0-21.21 ]

  * impish/linux: 5.13.0-21.21 -proposed tracker (LP: #1947347)
  * It hangs while booting up with AMD W6800 [1002:73A3] (LP: #1945553)
    - drm/amdgpu: Rename flag which prevents HW access
    - drm/amd/pm: Fix a bug communicating with the SMU (v5)
    - drm/amd/pm: Fix a bug in semaphore double-lock
  * Add final-checks to check certificates (LP: #1947174)
    - [Packaging] Add system trusted and revocation keys final check
  * No sound on Lenovo laptop models Legion 15IMHG05, Yoga 7 14ITL5, and 13s
    Gen2 (LP: #1939052)
    - ALSA: hda/realtek: Quirks to enable speaker output for Lenovo Legion 7i
      15IMHG05, Yoga 7i 14ITL5/15ITL5, and 13s Gen2 laptops.
    - ALSA: hda/realtek: Fix for quirk to enable speaker output on the Lenovo 13s
      Gen2
  * Check for changes relevant for security certifications (LP: #1945989)
    - [Packaging] Add a new fips-checks script
    - [Packaging] Add fips-checks as part of finalchecks
  * BCM57800 SRIOV bug causes interfaces to disappear (LP: #1945707)
    - bnx2x: Fix enabling network interfaces without VFs
  * CVE-2021-3759
    - memcg: enable accounting of ipc resources
  * [impish] Remove the downstream xr-usb-uart driver (LP: #1945938)
    - SAUCE: xr-usb-serial: remove driver
    - [Config] update modules list
  * Fix A yellow screen pops up in an instant (< 1 second) and then disappears
    before loading the system (LP: #1945932)
    - drm/i915: Stop force enabling pipe bottom color gammma/csc
  * Impish update: v5.13.18 upstream stable release (LP: #1946249)
    - Linux 5.13.18
  * Impish update: v5.13.17 upstream stable release (LP: #1946247)
    - locking/mutex: Fix HANDOFF condition
    - regmap: fix the offset of register error log
    - regulator: tps65910: Silence deferred probe error
    - crypto: mxs-dcp - Check for DMA mapping errors
    - sched/deadline: Fix reset_on_fork reporting of DL tasks
    - power: supply: axp288_fuel_gauge: Report register-address on readb / writeb
      ...

Changed in linux-raspi (Ubuntu Impish):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (44.5 KiB)

This bug was fixed in the package linux-raspi - 5.15.0-1002.2

---------------
linux-raspi (5.15.0-1002.2) jammy; urgency=medium

  * jammy/linux-raspi: 5.15.0-1002.2 -proposed tracker (LP: #1958834)

  * Packaging resync (LP: #1786013)
    - [Packaging] update Ubuntu.md
    - debian/dkms-versions -- update from kernel-versions (main/master)

  * Kernel fails to boot in ScalingStack (LP: #1959102)
    - [Config] raspi: Set VIRTIO_PCI=m
    - [Config] raspi: Set ACPI=y

  * jammy/linux-raspi: Update to upstream raspberrypi rpi-5.15.y (2022-01-24)
    (LP: #1958854)
    - brcmfmac: firmware: Fix crash in brcm_alt_fw_path
    - ARM: dts: Remove VL805 USB node from CM4 dts
    - mfd: simple-mfd-i2c: Add configuration for RPi POE HAT
    - pwm: raspberrypi-poe: Add option of being created by MFD or FW
    - power: rpi-poe: Drop CURRENT_AVG as it is not hardware averaged
    - power: rpi-poe: Add option of being created by MFD or FW
    - defconfigs: Add MFD_RASPBERRYPI_POE_HAT to Pi defconfigs.
    - dtoverlays: Add option for PoE HAT to use Linux I2C instead of FW.
    - drivers: bcm2835_unicam: Disable trigger mode operation
    - arm: Remove spurious .fnend directive
    - drm/vc4: Fix deadlock on DSI device attach error
    - drm/vc4: dsi: Correct max divider to 255 (not 7)
    - defconfig: Add BACKLIGHT_PWM to bcm2709 and bcmrpi defconfigs
    - dtoverlays: Add pwm backlight option to vc4-kms-dpi-generic
    - dtoverlays: Correct [h|v]sync_invert config in vc4-kms-dpi-generic
    - ARM: dts: BCM2711 AON_INTR2 generates IRQ edges
    - update rpi-display-overlay.dts pins for 5.10+

  [ Ubuntu: 5.15.0-18.18 ]

  * jammy/linux: 5.15.0-18.18 -proposed tracker (LP: #1958638)
  * CVE-2021-4155
    - xfs: map unwritten blocks in XFS_IOC_{ALLOC, FREE}SP just like fallocate
  * CVE-2022-0185
    - SAUCE: vfs: test that one given mount param is not larger than PAGE_SIZE
  * [UBUNTU 20.04] KVM hardware diagnose data improvements for guest kernel -
    kernel part (LP: #1953334)
    - KVM: s390: add debug statement for diag 318 CPNC data
  * OOB write on BPF_RINGBUF (LP: #1956585)
    - SAUCE: bpf: prevent helper argument PTR_TO_ALLOC_MEM to have offset other
      than 0
  * Miscellaneous Ubuntu changes
    - [Config] re-enable shiftfs
    - [SAUCE] shiftfs: support kernel 5.15
    - [Config] update toolchain versions
  * Miscellaneous upstream changes
    - vfs: fs_context: fix up param length parsing in legacy_parse_param

linux-raspi (5.15.0-1001.1) jammy; urgency=medium

  * Missing overlays/README (LP: #1954757)
    - SAUCE: Install overlays/README

  * dtoverlay=uart4 breaks Raspberry Pi 4B boot (LP: #1875454)
    - SAUCE: arm: dts: Add 'brcm,bcm2835-pl011' compatible for uart2-5

  * jammy/linux-raspi: Update to upstream raspberrypi rpi-5.15.y (2022-01-14)
    (LP: #1958146)
    - clk: bcm-2835: Pick the closest clock rate
    - clk: bcm-2835: Remove rounding up the dividers
    - drm/vc4: hdmi: Set a default HSM rate
    - drm/vc4: hdmi: Move the HSM clock enable to runtime_pm
    - drm/vc4: hdmi: Make sure the controller is powered in detect
    - drm/vc4: hdmi: Make sure the controller is powered up during bind
    - drm/vc4: hdmi: Rework the ...

Changed in linux-raspi (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers